<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [git-documentdb](./git-documentdb.md) &gt; [Collection](./git-documentdb.collection.md) &gt; [(constructor)](./git-documentdb.collection._constructor_.md)

## Collection.(constructor)

Constructs a new instance of the `Collection` class

<b>Signature:</b>

```typescript
constructor(_gitDDB: CRUDInterface & IDocumentDB, _collectionPath: CollectionPath);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  \_gitDDB | CRUDInterface &amp; IDocumentDB |  |
|  \_collectionPath | [CollectionPath](./git-documentdb.collectionpath.md) |  |

## Exceptions

[InvalidCollectionPathCharacterError](./git-documentdb.invalidcollectionpathcharactererror.md)

[InvalidCollectionPathLengthError](./git-documentdb.invalidcollectionpathlengtherror.md)

